<template>
  <div>
    <a-custom-search @search="onSearch"></a-custom-search>
    <a-modal v-model="isDialogActive" centered :footer="null" :width="1100">
      <div class="relative mb-8">
        <div class="absolute">
          <b-outline-action-button @click="closeDialog">Back</b-outline-action-button>
        </div>
        <div class="text-center">
          <t-h1 size="text-3xl" weight="bold">Search Result</t-h1>
        </div>
      </div>
      <div class="flex items-center justify-between px-12 mb-8">
        <a-radio-group v-model="tab" button-style="solid">
          <a-radio-button value="people">Personal Info.</a-radio-button>
          <a-radio-button value="area">Area</a-radio-button>
          <a-radio-button value="unit">Unit</a-radio-button>
        </a-radio-group>
        <div class="flex items-center space-x-4">
          <a-custom-search @search="onSearch"></a-custom-search>
          <search-filterer></search-filterer>
        </div>
      </div>
      <div v-if="tab === 'people'" class="px-12 pb-10">
        <search-people-result></search-people-result>
      </div>
      <div v-if="tab === 'area'" class="px-12 pb-10">
        <search-zone-result></search-zone-result>
      </div>
      <div v-if="tab === 'unit'" class="px-12 pb-10">
        <search-unit-result></search-unit-result>
      </div>
    </a-modal>
  </div>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import TH1 from '~/components/shared/typography/H1'
import BOutlineActionButton from '~/components/shared/buttons/OutlineActionButton'
import SearchPeopleResult from '~/components/search/SearchPeopleResult'
import SearchZoneResult from '~/components/search/SearchZoneResult'
import SearchUnitResult from '~/components/search/SearchUnitResult'
import SearchFilterer from '~/components/search/SearchFilterer'
import ACustomSearch from '~/components/shared/form/Search'
import { useBuilding } from '~/store/building'

export default defineComponent({
  components: {
    SearchFilterer,
    SearchUnitResult,
    SearchZoneResult,
    SearchPeopleResult,
    BOutlineActionButton,
    TH1,
    ACustomSearch,
  },
  setup() {
    const store = useBuilding()
    return { store }
  },
  data() {
    return {
      tab: 'people',
      isDialogActive: false,
    }
  },
  methods: {
    openDialog() {
      this.isDialogActive = true
    },
    closeDialog() {
      this.isDialogActive = false
    },
    onSearch(value) {
      this.store.search(value)
      this.openDialog()
    }
  }
})
</script>
